package rozdzial14c;

import javafx.animation.AnimationTimer;
import javafx.beans.property.StringProperty;
import javafx.scene.control.Label;
import java.time.LocalTime;
import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;

/**
 * @author Jacek Piechota
 <p>Klasa stylizująca zegar cyfrowy rozszerzająca kontrolkę {@code Label} dla potrzeb klasy {@code Listing14c_02b}.</p>
 */
public class Listing14c_02a extends Label {

    private final StringProperty tp;

    private final DigitalTimer timer;

    public Listing14c_02a() {
        super();
        tp = this.textProperty();
        timer = new DigitalTimer();
        timer.start();
    }

    class DigitalTimer extends AnimationTimer {
        @Override
        public void handle(long now) {
            LocalTime lt = LocalTime.now();
            String text = lt.format(DateTimeFormatter.
                    ofLocalizedTime(FormatStyle.MEDIUM));
            tp.set(text);
        }
    }

    public DigitalTimer getTimer() {
        return timer;
    }
}

